Qyra
ReferenceProjects

List alerts as code

Get alerts in code representation

GET/api/v1/projects/{projectUuid}/code/alerts

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
slugsarray[string]No

Responses

200 — Success

{
  "results": {
    "skipped": [
      {
        "reason": "string",
        "name": "string"
      }
    ],
    "alerts": [
      {
        "downloadedAt": "2024-01-01T00:00:00.000Z",
        "parameters": {
          "property": "string"
        },
        "filters": {
          "tableCalculations": {
            "or": [
              {}
            ],
            "id": "string"
          },
          "metrics": {
            "or": [
              {}
            ],
            "id": "string"
          },
          "dimensions": {
            "or": [
              {}
            ],
            "id": "string"
          }
        },
        "notificationFrequency": "always",
        "thresholds": [
          {
            "value": 0,
            "fieldId": "string",
            "operator": "greaterThan"
          }
        ],
        "resource": {
          "slug": "string",
          "type": "chart"
        },
        "targets": [
          {
            "recipient": "string",
            "type": "email"
          }
        ],
        "plainTextEmail": true,
        "includeLinks": true,
        "enabled": true,
        "timezone": "string",
        "cron": "string",
        "message": "string",
        "name": "string",
        "slug": "string",
        "version": 0,
        "contentType": "alert"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}